Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp	(revision 128)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp	(revision 136)
@@ -730,4 +730,6 @@
             COMPONENT_MAP(_component,src ,"out_ISSUE_"                           +toString(j)+"_OPERATION"            ,
                                      dest, "in_ISSUE_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_OPERATION"            );
+            COMPONENT_MAP(_component,src ,"out_ISSUE_"                           +toString(j)+"_CANCEL"               ,
+                                     dest, "in_ISSUE_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_CANCEL"               );
             COMPONENT_MAP(_component,src ,"out_ISSUE_"                           +toString(j)+"_STORE_QUEUE_PTR_WRITE",
                                      dest, "in_ISSUE_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_STORE_QUEUE_PTR_WRITE");
@@ -793,4 +795,6 @@
 //              COMPONENT_MAP(_component,src , "in_EXECUTE_LOOP_"                      +toString(j)+"_"+toString(k)+"_OPERATION"   ,
 //                                       dest,"out_EXECUTE_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_OPERATION"   );
+                COMPONENT_MAP(_component,src , "in_EXECUTE_LOOP_"                      +toString(j)+"_"+toString(k)+"_CANCEL"      ,
+                                         dest,"out_EXECUTE_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_CANCEL"      );
                 COMPONENT_MAP(_component,src , "in_EXECUTE_LOOP_"                      +toString(j)+"_"+toString(k)+"_FLAGS"       ,
                                          dest,"out_EXECUTE_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_FLAGS"       );
@@ -806,26 +810,26 @@
           }
 
-        // ~~~~~[ Interface "insert" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-        for (uint32_t j=0; j<_param->_ooo_engine_nb_inst_insert_rob [i]; ++j)
-          {
-            dest = _name+"_glue";
-#ifdef POSITION
-            _component->interface_map (src ,"insert_"                           +toString(j),
-                                       dest,"insert_ooo_engine_"+toString(i)+"_"+toString(j));
-#endif 
+//         // ~~~~~[ Interface "insert" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+//         for (uint32_t j=0; j<_param->_ooo_engine_nb_inst_insert_rob [i]; ++j)
+//           {
+//             dest = _name+"_glue";
+// #ifdef POSITION
+//             _component->interface_map (src ,"insert_"                           +toString(j),
+//                                        dest,"insert_ooo_engine_"+toString(i)+"_"+toString(j));
+// #endif 
             
-            COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_VAL"       ,
-                                     dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_VAL"       );
-            COMPONENT_MAP(_component,src , "in_INSERT_"                           +toString(j)+"_ACK"       ,
-                                     dest,"out_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_ACK"       );
-            COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RD_USE"    ,
-                                     dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RD_USE"    );
-            COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RD_NUM_REG",
-                                     dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RD_NUM_REG");
-            COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RE_USE"    ,
-                                     dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RE_USE"    );
-            COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RE_NUM_REG",
-                                     dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RE_NUM_REG");
-          }
+//             COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_VAL"       ,
+//                                      dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_VAL"       );
+//             COMPONENT_MAP(_component,src , "in_INSERT_"                           +toString(j)+"_ACK"       ,
+//                                      dest,"out_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_ACK"       );
+//             COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RD_USE"    ,
+//                                      dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RD_USE"    );
+//             COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RD_NUM_REG",
+//                                      dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RD_NUM_REG");
+//             COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RE_USE"    ,
+//                                      dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RE_USE"    );
+//             COMPONENT_MAP(_component,src ,"out_INSERT_"                           +toString(j)+"_RE_NUM_REG",
+//                                      dest, "in_INSERT_OOO_ENGINE_"+toString(i)+"_"+toString(j)+"_RE_NUM_REG");
+//           }
       }
 
@@ -878,4 +882,6 @@
             COMPONENT_MAP(_component,src , "in_EXECUTE_LOOP_IN_"                   +toString(j)+"_TYPE"                 ,
                                      dest,"out_ISSUE_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_TYPE"                 );
+            COMPONENT_MAP(_component,src , "in_EXECUTE_LOOP_IN_"                   +toString(j)+"_CANCEL"               ,
+                                     dest,"out_ISSUE_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_CANCEL"               );
             COMPONENT_MAP(_component,src , "in_EXECUTE_LOOP_IN_"                   +toString(j)+"_STORE_QUEUE_PTR_WRITE",
                                      dest,"out_ISSUE_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_STORE_QUEUE_PTR_WRITE");
@@ -942,4 +948,6 @@
 //          COMPONENT_MAP(_component,src ,"out_EXECUTE_LOOP_OUT_"                    +toString(j)+"_TYPE"         ,
 //                                   dest, "in_EXECUTE_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_TYPE"         );
+            COMPONENT_MAP(_component,src ,"out_EXECUTE_LOOP_OUT_"                    +toString(j)+"_CANCEL"       ,
+                                     dest, "in_EXECUTE_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_CANCEL"       );
             COMPONENT_MAP(_component,src ,"out_EXECUTE_LOOP_OUT_"                    +toString(j)+"_FLAGS"        ,
                                      dest, "in_EXECUTE_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_FLAGS"        );
@@ -954,27 +962,27 @@
           }
 
-        // ~~~~~[ Interface "insert_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-        for (uint32_t j=0; j<_param->_execute_loop_nb_ooo_engine[i]; ++j)
-          for (uint32_t k=0; k<_param->_execute_loop_nb_inst_insert_rob[i][j]; ++k)
-            {
-              dest = _name+"_glue";
-#ifdef POSITION
-              _component->interface_map (src ,"insert_rob_"                         +toString(j)+"_"+toString(k),
-                                         dest,"insert_execute_loop_"+toString(i)+"_"+toString(j)+"_"+toString(k));
-#endif
-
-              COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_VAL"       ,
-                                       dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_VAL"       );
-              COMPONENT_MAP(_component,src ,"out_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_ACK"       ,
-                                       dest, "in_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_ACK"       );
-              COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RD_USE"    ,
-                                       dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RD_USE"    );
-              COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RD_NUM_REG",
-                                       dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RD_NUM_REG");
-              COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RE_USE"    ,
-                                       dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RE_USE"    );
-              COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RE_NUM_REG",
-                                       dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RE_NUM_REG");
-            }        
+//         // ~~~~~[ Interface "insert_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+//         for (uint32_t j=0; j<_param->_execute_loop_nb_ooo_engine[i]; ++j)
+//           for (uint32_t k=0; k<_param->_execute_loop_nb_inst_insert_rob[i][j]; ++k)
+//             {
+//               dest = _name+"_glue";
+// #ifdef POSITION
+//               _component->interface_map (src ,"insert_rob_"                         +toString(j)+"_"+toString(k),
+//                                          dest,"insert_execute_loop_"+toString(i)+"_"+toString(j)+"_"+toString(k));
+// #endif
+
+//               COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_VAL"       ,
+//                                        dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_VAL"       );
+//               COMPONENT_MAP(_component,src ,"out_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_ACK"       ,
+//                                        dest, "in_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_ACK"       );
+//               COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RD_USE"    ,
+//                                        dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RD_USE"    );
+//               COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RD_NUM_REG",
+//                                        dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RD_NUM_REG");
+//               COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RE_USE"    ,
+//                                        dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RE_USE"    );
+//               COMPONENT_MAP(_component,src , "in_INSERT_ROB_"                         +toString(j)+"_"+toString(k)+"_RE_NUM_REG",
+//                                        dest,"out_INSERT_EXECUTE_LOOP_"+toString(i)+"_"+toString(j)+"_"+toString(k)+"_RE_NUM_REG");
+//             }        
 
         // ~~~~~[ Interface "dcache_req" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 128)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 136)
@@ -79,4 +79,6 @@
   uint32_t                nb_thread                                     ,
   uint32_t              * size_ifetch_queue                             ,//[nb_thread]
+  multi_front_end::front_end::ifetch_unit::ifetch_queue::Tifetch_queue_scheme_t
+                        * ifetch_queue_scheme                           ,//[nb_thread]
   uint32_t              * nb_inst_fetch                                 ,//[nb_thread]
   bool                 ** implement_group                               ,//[nb_thread][NB_GROUP]
@@ -238,4 +240,5 @@
     _nb_thread                               = nb_thread                               ;
     _size_ifetch_queue                       = size_ifetch_queue                       ;
+    _ifetch_queue_scheme                     = ifetch_queue_scheme                     ;
     _nb_inst_fetch                           = nb_inst_fetch                           ;
     _implement_group                         = implement_group                         ;
@@ -452,4 +455,6 @@
     // translate for front_end
     ALLOC2(_front_end_size_ifetch_queue                   ,uint32_t         ,_nb_front_end,_nb_context[it1]);
+    ALLOC2(_front_end_ifetch_queue_scheme                  ,multi_front_end::front_end::ifetch_unit::ifetch_queue::Tifetch_queue_scheme_t
+	                                                                    ,_nb_front_end,_nb_context[it1]);
     ALLOC2(_front_end_nb_inst_fetch                       ,uint32_t         ,_nb_front_end,_nb_context[it1]);
     ALLOC2(_front_end_link_decod_unit_with_context        ,uint32_t         ,_nb_front_end,_nb_context[it1]);
@@ -463,9 +468,10 @@
           uint32_t num_thread     = _link_thread_with_context[i][j];
 
-          _front_end_size_ifetch_queue            [i][j] = _size_ifetch_queue [num_thread];
-          _front_end_nb_inst_fetch                [i][j] = _nb_inst_fetch     [num_thread];
-          _front_end_ras_size_queue               [i][j] = _ras_size_queue    [num_thread];
-          _front_end_upt_size_queue               [i][j] = _upt_size_queue    [num_thread];
-          _front_end_ufpt_size_queue              [i][j] = _ufpt_size_queue   [num_thread];
+          _front_end_size_ifetch_queue            [i][j] = _size_ifetch_queue   [num_thread];
+          _front_end_ifetch_queue_scheme          [i][j] = _ifetch_queue_scheme [num_thread];
+          _front_end_nb_inst_fetch                [i][j] = _nb_inst_fetch       [num_thread];
+          _front_end_ras_size_queue               [i][j] = _ras_size_queue      [num_thread];
+          _front_end_upt_size_queue               [i][j] = _upt_size_queue      [num_thread];
+          _front_end_ufpt_size_queue              [i][j] = _ufpt_size_queue     [num_thread];
 
           uint32_t num_decod_bloc = _link_decod_bloc_with_thread [num_thread];
@@ -987,5 +993,5 @@
 
     ALLOC2(_ooo_engine_nb_inst_insert                     ,uint32_t         ,_nb_ooo_engine,_nb_rename_unit[it1]);
-    ALLOC1(_ooo_engine_nb_inst_insert_rob                 ,uint32_t         ,_nb_ooo_engine);
+//  ALLOC1(_ooo_engine_nb_inst_insert_rob                 ,uint32_t         ,_nb_ooo_engine);
     ALLOC2(_ooo_engine_nb_inst_retire                     ,uint32_t         ,_nb_ooo_engine,_nb_rename_unit[it1]);
     ALLOC2(_ooo_engine_rename_select_priority             ,Tpriority_t      ,_nb_ooo_engine,_nb_rename_unit[it1]);
@@ -1001,5 +1007,5 @@
       {
         log_printf(TRACE,Core,FUNCTION,_("OOO_Engine [%d] - nb_rename_unit %d"),i,_nb_rename_unit[i]);
-        _ooo_engine_nb_inst_insert_rob [i] = 0;
+//      _ooo_engine_nb_inst_insert_rob [i] = 0;
 
         for (uint32_t j=0; j<_nb_rename_unit[i]; ++j)
@@ -1010,5 +1016,5 @@
             
             _ooo_engine_nb_inst_insert                    [i][j] = _nb_inst_insert                    [num_rename_bloc];
-            _ooo_engine_nb_inst_insert_rob                [i]   += _nb_inst_insert                    [num_rename_bloc];
+//          _ooo_engine_nb_inst_insert_rob                [i]   += _nb_inst_insert                    [num_rename_bloc];
             _ooo_engine_nb_inst_retire                    [i][j] = _nb_inst_retire                    [num_rename_bloc];
             _ooo_engine_rename_select_priority            [i][j] = _rename_select_priority            [num_rename_bloc];
@@ -1578,6 +1584,6 @@
     ALLOC2(_execute_loop_nb_general_register                       ,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
     ALLOC2(_execute_loop_nb_special_register                       ,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
-    ALLOC2(_execute_loop_nb_inst_insert_rob                        ,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
-    ALLOC2(_execute_loop_nb_inst_retire_rob                        ,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+//  ALLOC2(_execute_loop_nb_inst_insert_rob                        ,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+//  ALLOC2(_execute_loop_nb_inst_retire_rob                        ,uint32_t,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
     
     for (uint32_t i=0; i<_nb_execute_loop; ++i)
@@ -1603,15 +1609,15 @@
     
     
-          uint32_t insert = 0;
-          uint32_t retire = 0;
+//        uint32_t insert = 0;
+//        uint32_t retire = 0;
+//        
+//        for (uint32_t k=0; k<_nb_rename_unit[num_ooo_engine]; ++k)
+//          {
+//            insert = _ooo_engine_nb_inst_insert [num_ooo_engine][k];
+//            retire = _ooo_engine_nb_inst_retire [num_ooo_engine][k];
+//          }
           
-          for (uint32_t k=0; k<_nb_rename_unit[num_ooo_engine]; ++k)
-            {
-              insert = _ooo_engine_nb_inst_insert [num_ooo_engine][k];
-              retire = _ooo_engine_nb_inst_retire [num_ooo_engine][k];
-            }
-          
-          _execute_loop_nb_inst_insert_rob  [i][j] = insert;
-          _execute_loop_nb_inst_retire_rob  [i][j] = retire;
+//        _execute_loop_nb_inst_insert_rob  [i][j] = insert;
+//        _execute_loop_nb_inst_retire_rob  [i][j] = retire;
         }
     
@@ -1942,4 +1948,5 @@
         _get_custom_information                    ,
         _front_end_size_ifetch_queue            [i],
+        _front_end_ifetch_queue_scheme          [i],
         _front_end_nb_inst_fetch                [i],
         _front_end_instruction_implemeted       [i],
@@ -2083,6 +2090,6 @@
          _execute_loop_nb_general_register                        [i],
          _execute_loop_nb_special_register                        [i],
-         _execute_loop_nb_inst_insert_rob                         [i],
-         _execute_loop_nb_inst_retire_rob                         [i],
+//       _execute_loop_nb_inst_insert_rob                         [i],
+//       _execute_loop_nb_inst_retire_rob                         [i],
 
          _execution_unit_to_write_unit_priority                   [i],
@@ -2149,5 +2156,5 @@
        _front_end_nb_inst_branch_complete    ,//[nb_front_end]
        _nb_inst_branch_complete              ,//[nb_ooo_engine]
-       _ooo_engine_nb_inst_insert_rob        ,//[nb_ooo_engine]
+//     _ooo_engine_nb_inst_insert_rob        ,//[nb_ooo_engine]
        _nb_inst_reexecute                    ,//[nb_ooo_engine]
        _nb_inst_issue_queue                  ,//[nb_ooo_engine]
@@ -2223,6 +2230,6 @@
     DELETE4(_execute_loop_read_unit_to_execution_unit_table_routing ,_nb_execute_loop,_nb_read_unit[it1],_nb_execute_unit[it1],_execute_loop_nb_execute_unit_port[it1][it2]);
     DELETE2(_execute_loop_nb_execute_unit_port                      ,_nb_execute_loop,_nb_execute_unit[it1]);
-    DELETE2(_execute_loop_nb_inst_retire_rob                        ,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
-    DELETE2(_execute_loop_nb_inst_insert_rob                        ,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+//  DELETE2(_execute_loop_nb_inst_retire_rob                        ,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
+//  DELETE2(_execute_loop_nb_inst_insert_rob                        ,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
     DELETE2(_execute_loop_nb_special_register                       ,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
     DELETE2(_execute_loop_nb_general_register                       ,_nb_execute_loop,_execute_loop_nb_ooo_engine[it1]);
@@ -2277,5 +2284,5 @@
     DELETE2(_ooo_engine_rename_select_priority                      ,_nb_ooo_engine,_nb_rename_unit[it1]);
     DELETE2(_ooo_engine_nb_inst_retire                              ,_nb_ooo_engine,_nb_rename_unit[it1]);
-    DELETE1(_ooo_engine_nb_inst_insert_rob                          ,_nb_ooo_engine);
+//  DELETE1(_ooo_engine_nb_inst_insert_rob                          ,_nb_ooo_engine);
     DELETE2(_ooo_engine_nb_inst_insert                              ,_nb_ooo_engine,_nb_rename_unit[it1]);
     DELETE2(_ooo_engine_link_rename_unit_with_front_end             ,_nb_ooo_engine,_ooo_engine_nb_front_end[it1]);
@@ -2303,4 +2310,5 @@
     DELETE2(_front_end_link_decod_unit_with_context                 ,_nb_front_end,_nb_context[it1]);
     DELETE2(_front_end_nb_inst_fetch                                ,_nb_front_end,_nb_context[it1]);
+    DELETE2(_front_end_ifetch_queue_scheme                          ,_nb_front_end,_nb_ifetch_unit[it1]);
     DELETE2(_front_end_size_ifetch_queue                            ,_nb_front_end,_nb_context[it1]);
     DELETE1(_list_load_store_unit_with_execute_unit                 ,_nb_execute_loop);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters_print.cpp	(revision 128)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters_print.cpp	(revision 136)
@@ -40,4 +40,6 @@
     str+= toString(MSG_INFORMATION)+"   * THREAD ["+toString<uint32_t>(i)+"]\n";
     str+= toString(MSG_INFORMATION)+"     * size_ifetch_queue                           : "+toString<uint32_t>(_size_ifetch_queue [i])+"\n";
+    str+= toString(MSG_INFORMATION)+"     * ifetch_queue_scheme                         : "+toString<multi_front_end::front_end::ifetch_unit::ifetch_queue::Tifetch_queue_scheme_t>
+                                                                                                              (_ifetch_queue_scheme[i])+"\n";
     str+= toString(MSG_INFORMATION)+"     * nb_inst_fetch                               : "+toString<uint32_t>(_nb_inst_fetch     [i])+"\n";
     str+= toString(MSG_INFORMATION)+"     * ras_size_queue                              : "+toString<uint32_t>(_ras_size_queue    [i])+"\n";
